### Function

# Gtk TreeRowReferencenew

deprecated: 4.10

#### Declaration [src]

    GtkTreeRowReference*
    gtk_tree_row_reference_new (
      GtkTreeModel* model,
      GtkTreePath* path
    )

#### Description [src]

Creates a row reference based on `path`.

This reference will keep pointing to the node pointed to by `path`, so long as it exists. Any changes that occur on `model` are propagated, and the path is updated appropriately. If `path` isn’t a valid path in `model`, then `NULL` is returned.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`model`

  Type: `GtkTreeModel`

  A `GtkTreeModel`

  The data is owned by the caller of the function.

`path`

  Type: `GtkTreePath`

  A valid `GtkTreePath` to monitor.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkTreeRowReference`

A newly allocated `GtkTreeRowReference`

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.